## net.i2p.router.transport.udp
Class UDPAddress

    java.lang.Object
      net.i2p.router.transport.udp.UDPAddress

public class UDPAddress
extends java.lang.Object

basic helper to parse out peer info from a udp address

Field Summary
`static char` `CAPACITY_INTRODUCER`
`static char` `CAPACITY_TESTING`
`(package private) static int` `MAX_INTRODUCERS`
`static java.lang.String` `PROP_CAPACITY`
`static java.lang.String` `PROP_HOST`
`static java.lang.String` `PROP_INTRO_HOST_PREFIX`
`static java.lang.String` `PROP_INTRO_KEY`
`static java.lang.String` `PROP_INTRO_KEY_PREFIX`
`static java.lang.String` `PROP_INTRO_PORT_PREFIX`
`static java.lang.String` `PROP_INTRO_TAG_PREFIX`
`static java.lang.String` `PROP_PORT`

Constructor Summary
`UDPAddress(RouterAddress addr)`

Method Summary
`java.lang.String` `getHost()`
`java.net.InetAddress` `getHostAddress()`
`int` `getIntroducerCount()`
`java.net.InetAddress` `getIntroducerHost(int i)`
`byte[]` `getIntroducerKey(int i)`
`int` `getIntroducerPort(int i)`
`long` `getIntroducerTag(int i)`
`byte[]` `getIntroKey()`
`int` `getPort()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_PORT

    public static final java.lang.String PROP_PORT

See Also:
  Constant Field Values

### PROP_HOST

    public static final java.lang.String PROP_HOST

See Also:
  Constant Field Values

### PROP_INTRO_KEY

    public static final java.lang.String PROP_INTRO_KEY

See Also:
  Constant Field Values

### PROP_CAPACITY

    public static final java.lang.String PROP_CAPACITY

See Also:
  Constant Field Values

### CAPACITY_TESTING

    public static final char CAPACITY_TESTING

See Also:
  Constant Field Values

### CAPACITY_INTRODUCER

    public static final char CAPACITY_INTRODUCER

See Also:
  Constant Field Values

### PROP_INTRO_HOST_PREFIX

    public static final java.lang.String PROP_INTRO_HOST_PREFIX

See Also:
  Constant Field Values

### PROP_INTRO_PORT_PREFIX

    public static final java.lang.String PROP_INTRO_PORT_PREFIX

See Also:
  Constant Field Values

### PROP_INTRO_KEY_PREFIX

    public static final java.lang.String PROP_INTRO_KEY_PREFIX

See Also:
  Constant Field Values

### PROP_INTRO_TAG_PREFIX

    public static final java.lang.String PROP_INTRO_TAG_PREFIX

See Also:
  Constant Field Values

### MAX_INTRODUCERS

    static final int MAX_INTRODUCERS

See Also:
  Constant Field Values

Constructor Detail

### UDPAddress

    public UDPAddress(RouterAddress addr)

Method Detail

### toString

    public java.lang.String toString()

### getHost

    public java.lang.String getHost()

### getHostAddress

    public java.net.InetAddress getHostAddress()

### getPort

    public int getPort()

### getIntroKey

    public byte[] getIntroKey()

### getIntroducerCount

    public int getIntroducerCount()

### getIntroducerHost

    public java.net.InetAddress getIntroducerHost(int i)

### getIntroducerPort

    public int getIntroducerPort(int i)

### getIntroducerKey

    public byte[] getIntroducerKey(int i)

### getIntroducerTag

    public long getIntroducerTag(int i)